Metafunction
CompareType
Type to convert other types for comparisons.
CompareType<TLeft, TRight>::Type
Parameters

TLeft | Type of the left operand of a comparison.
TRight | Type of the right operand of a comparison.

Remarks
Comparisons are for example operators like == or <.
Note that there is no rule that guarantees that CompareType<T1, T2>::Type is the same as CompareType<T2, T1>::Type. It is also possible, that only one of these two types is defined.
This metafunction is used for the implementation of comparisons that involve SimpleType.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50